package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IUserRoleData;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[UserRoleData] 服务对象接口
 */
public interface IUserRoleDataClientService{

    public IUserRoleData createModel() ;

    public void checkKey(IUserRoleData userroledata);

    public void getDraft(IUserRoleData userroledata);

    public void getUserRoleDataAPI(IUserRoleData userroledata);

    public void get(IUserRoleData userroledata);

    public void remove(IUserRoleData userroledata);

    public void hasPermissionGV(IUserRoleData userroledata);

    public void create(IUserRoleData userroledata);

    public void update(IUserRoleData userroledata);

    public void hasPermissionEV(IUserRoleData userroledata);

    public void save(IUserRoleData userroledata);

    public void syncData(IUserRoleData userroledata);

    public Page<IUserRoleData> fetchDefault(SearchContext context);

}
